Create a deployment with an empty starter project and trigger its first build
curl --request POST \
--url https://{tenant}.cubecloud.dev/build/api/v1/deployments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isManaged": true,
"name": "<string>",
"region": "<string>",
"targetPlatform": "<string>"
}
'import requests
url = "https://{tenant}.cubecloud.dev/build/api/v1/deployments"
payload = {
"isManaged": True,
"name": "<string>",
"region": "<string>",
"targetPlatform": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
isManaged: true,
name: '<string>',
region: '<string>',
targetPlatform: '<string>'
})
};
fetch('https://{tenant}.cubecloud.dev/build/api/v1/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deploymentUrl": "<string>",
"id": 123,
"name": "<string>"
}Deployment Creation
Create a deployment with an empty starter project and trigger its first build
POST
/
build
/
api
/
v1
/
deployments
Create a deployment with an empty starter project and trigger its first build
Authorizations
Token authentication. Send Authorization: Bearer <YOUR_TOKEN>.
Body
application/json
CreateDeploymentInput
Available options:
cubecloud, aws, gcp Available options:
project, upload, schema, github, ssh, databases, ready, demo Available options:
upload, cubecloud, github, ssh Available options:
git, cli ⌘I